from struct import unpack
from io import FileIO
import sys,os,glob


def split_file(fd):
    datafile = FileIO(fd,"r") #class for file io, open as read only
    num_pointers = unpack("<I",datafile.read(4))
    pointer_fmt = "<%dI"%num_pointers[0]
    pointers = unpack(pointer_fmt,datafile.read(num_pointers[0]*4))
    pointers+=(os.stat(datafile.name).st_size,)
    i = 0
    datafile.seek(pointers[0],0)
    while i < (num_pointers[0]):
   
        splitname = "%s_file%u.bin"%(datafile.name,i)
        with FileIO(splitname,"w") as splitfile:
            splitfile.write(datafile.read(pointers[i+1]-pointers[i]))
        i+=1

for arg in sys.argv[1:]:
    for files in glob.glob(arg):
        split_file(files)