 
/** 
 * SnakeOil (c) 2015 - 2019
 * https://bitbucket.org/MysticLord/
 */
public class PS1Path
{//Need an List of sector objects?
    private String pathName;
    private long addressOfFirstSector;//address of first sector
    private long pathLength;//bytes
    private boolean isFile;//true for file, false for directory
    
    public PS1Path(String pName, long aSector, long pLength, boolean iFile)
    {
        pathName = pName;
        addressOfFirstSector = aSector;
        pathLength = pLength;
        isFile = iFile;
    }
    public String getPathName()
    {
        return pathName;
    }
    public long getAddressOfFirstSector()
    {
        return addressOfFirstSector;
    }
    public long getPathLength()
    {
        return pathLength;
    }
    public boolean isFile()
    {
        return isFile;
    }
    public String toString()
    {
        String value = "Filename : " + pathName + "\n" +
                       "Address  : " + addressOfFirstSector + "\n" +
                       "Length   : " + pathLength + "\n" +
                       "Is File? : " + isFile +  "\n";
        
        return value;
    }
}
