;***********************************************************************************************************************
;*******						COMANDO $2F						********
;******* Este comando se usa para determinar lo que se ejecuta a continuacin dependiendo de la eleccin del	********
;******* jugador en un dilogo; la variable $7E:D3BF que contiene la opcin seleccionada por el jugador, indica	********
;******* qu pareja de bytes de los que siguen cogemos, ya que cada pareja representa el comando o nuevo ndice	********
;******* al texto que ejecutaremos si sa es la opcin elegida. Si la variable vale -1, entonces la opcin que	********
;******* se ejecuta por defecto es la ltima.									********
;***********************************************************************************************************************
$C0/2E73 AD BF D3    LDA $D3BF  [$7E:D3BF]   A:081E X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0412 VC:251 00 FL:17741
$C0/2E76 C9 FF       CMP #$FF                A:08FF X:001E Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0444 VC:251 00 FL:17741
$C0/2E78 D0 04       BNE $04    [$2E7E]      A:08FF X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0462 VC:251 00 FL:17741
;******* si la variable que indica la seleccin del jugador tiene un valor invlido, la opcin que se ejecuta es la ltima
$C0/2E7A AD C1 D3    LDA $D3C1  [$7E:D3C1]   A:08FF X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0480 VC:251 00 FL:17741
$C0/2E7D 3A          DEC A                   A:0802 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0512 VC:251 00 FL:17741
;******* con este bucle nos saltamos los comandos a continuacin que van asociados a cada opcin hasta encontrar la que
;******* el usuario eligi
$C0/2E7E C2 20       REP #$20                A:0801 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0530 VC:251 00 FL:17741
$C0/2E80 29 FF 00    AND #$00FF              A:0801 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0554 VC:251 00 FL:17741
$C0/2E83 F0 07       BEQ $07    [$2E8C]      A:0001 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0578 VC:251 00 FL:17741
$C0/2E85 E6 78       INC $78    [$00:0078]   A:0001 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0596 VC:251 00 FL:17741
$C0/2E87 E6 78       INC $78    [$00:0078]   A:0001 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0652 VC:251 00 FL:17741
$C0/2E89 3A          DEC A                   A:0001 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0708 VC:251 00 FL:17741
$C0/2E8A D0 F9       BNE $F9    [$2E85]      A:0000 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZCHC:0726 VC:251 00 FL:17741

$C0/2E8C E6 78       INC $78    [$00:0078]   A:0000 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZCHC:0744 VC:251 00 FL:17741
$C0/2E8E E2 20       SEP #$20                A:0000 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0800 VC:251 00 FL:17741
$C0/2E90 A7 78       LDA [$78]  [$FB:09F9]   A:0000 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0848 VC:251 00 FL:17741
$C0/2E92 C9 0C       CMP #$0C                A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0920 VC:251 00 FL:17741
$C0/2E94 90 01       BCC $01    [$2E97]      A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0938 VC:251 00 FL:17741
$C0/2E96 60          RTS                     A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0956 VC:251 00 FL:17741

$C0/2E97 C2 20       REP #$20                A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0974 VC:251 00 FL:17740
$C0/2E99 A7 78       LDA [$78]  [$FB:09F9]   A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0980 VC:251 00 FL:17739
$C0/2E9B EB          XBA                     A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0986 VC:251 00 FL:17738
$C0/2E9C 85 8D       STA $8D    [$00:008D]   A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0992 VC:251 00 FL:17737
$C0/2E9E E2 20       SEP #$20                A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:1004 VC:251 00 FL:17736
$C0/2EA0 4C 4C 1B    JMP $1B4C  [$7E:1B4C]   A:0043 X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:1010 VC:251 00 FL:17735
;***********************************************************************************************************************
;*******					     FIN DE COMANDO $2F						********
;***********************************************************************************************************************

