;***********************************************************************************************************************
;*******						COMANDO $30						********
;******* Este comando se usa para determinar lo que se ejecuta a continuacin dependiendo de la eleccin del	********
;******* jugador en un dilogo; la variable $7E:D3BF, que contiene la opcin seleccionada por el jugador, 	********
;******* indica qu pareja de bytes de los que siguen cogemos, ya que cada pareja representa el comando 0x00	********
;******* al 0x1F ejecutaremos si sa es la opcin elegida. Si la variable vale -1, entonces la opcin que	********
;******* se ejecuta por defecto es la ltima.									********
;***********************************************************************************************************************
$C0/2EA3 C2 20       REP #$20                A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0570 VC:000 00 FL:52572
$C0/2EA5 A5 78       LDA $78    [$00:0078]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0576 VC:000 00 FL:52572
$C0/2EA7 85 8D       STA $8D    [$00:008D]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0582 VC:000 00 FL:52572
$C0/2EA9 E2 20       SEP #$20                A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0594 VC:000 00 FL:52572
;******* cargamos la opcin que seleccion el usuario
$C0/2EAB AD BF D3    LDA $D3BF  [$7E:D3BF]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0600 VC:000 00 FL:52572
$C0/2EAE C9 FF       CMP #$FF                A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0606 VC:000 00 FL:52572
$C0/2EB0 D0 04       BNE $04    [$2EB6]      A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0612 VC:000 00 FL:52572
;******* si la variable que indica la seleccin del jugador tiene un valor invlido, la opcin que se ejecuta es la ltima;
;******* el nmero de opciones totales que hay se almacena en $7E:D3C1
$C0/2EB2 AD C1 D3    LDA $D3C1  [$7E:D3C1]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0618 VC:000 00 FL:52572
$C0/2EB5 3A          DEC A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0624 VC:000 00 FL:52572
$C0/2EB6 C2 20       REP #$20                A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0636 VC:000 00 FL:52572
$C0/2EB8 29 FF 00    AND #$00FF              A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0642 VC:000 00 FL:52572
$C0/2EBB F0 07       BEQ $07    [$2EC4]      A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0648 VC:000 00 FL:52572
;******* con este bucle nos saltamos los comandos a continuacin que van asociados a cada opcin hasta encontrar la que
;******* el usuario eligi
$C0/2EBD E6 78       INC $78    [$00:0078]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0654 VC:000 00 FL:52572
$C0/2EBF E6 78       INC $78    [$00:0078]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0660 VC:000 00 FL:52572
$C0/2EC1 3A          DEC A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0666 VC:000 00 FL:52572
$C0/2EC2 D0 F9       BNE $F9    [$2EBD]      A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0672 VC:000 00 FL:52572
$C0/2EC4 E6 78       INC $78    [$00:0078]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0678 VC:000 00 FL:52572
;******* despus del bucle, hacemos algo diferente al comando $2F
$C0/2EC6 A0 FF FF    LDY #$FFFF              A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0684 VC:000 00 FL:52572
$C0/2EC9 AD 19 D5    LDA $D519  [$7E:D519]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0690 VC:000 00 FL:52572
$C0/2ECC 29 FF 00    AND #$00FF              A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0696 VC:000 00 FL:52572
$C0/2ECF C9 FF 00    CMP #$00FF              A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0702 VC:000 00 FL:52572
$C0/2ED2 F0 04       BEQ $04    [$2ED8]      A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0708 VC:000 00 FL:52572
$C0/2ED4 EB          XBA                     A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0714 VC:000 00 FL:52572
$C0/2ED5 4A          LSR A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0720 VC:000 00 FL:52572
$C0/2ED6 4A          LSR A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0726 VC:000 00 FL:52572
$C0/2ED7 A8          TAY                     A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0732 VC:000 00 FL:52572
$C0/2ED8 A7 78       LDA [$78]  [$00:0000]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0738 VC:000 00 FL:52572
;******* ejecutamos la rutina asociada a los comandos $00 al $1F
$C0/2EDA 20 91 AF    JSR $AF91  [$C0:AF91]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0744 VC:000 00 FL:52572
;******* el puntero de lectura [$78] se incrementa segn la variable $7E:D3C1
$C0/2EDD AD C1 D3    LDA $D3C1  [$7E:D3C1]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0750 VC:000 00 FL:52572
$C0/2EE0 29 FF 00    AND #$00FF              A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0756 VC:000 00 FL:52572
$C0/2EE3 0A          ASL A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0762 VC:000 00 FL:52572
$C0/2EE4 1A          INC A                   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0768 VC:000 00 FL:52572
$C0/2EE5 18          CLC                     A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0774 VC:000 00 FL:52572
$C0/2EE6 65 8D       ADC $8D    [$00:008D]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0780 VC:000 00 FL:52572
$C0/2EE8 85 78       STA $78    [$00:0078]   A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0786 VC:000 00 FL:52572
$C0/2EEA E2 20       SEP #$20                A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envmxdIzcHC:0798 VC:000 00 FL:52572
$C0/2EEC 60          RTS                     A:0001 X:0000 Y:0040 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0804 VC:000 00 FL:52572
;***********************************************************************************************************************
;*******					     FIN DE COMANDO $30						********
;***********************************************************************************************************************

