;***********************************************************************************************************************
;*******						COMANDO $4A						********
;******* Este comando lee el siguiente byte de texto y lo usa como ndice para acceder a un diccionario de	********
;******* texto, con palabras de 8 letras. La palabra leda se mete en el buffer $7E:D56D.			********
;******* El diccionario empieza en la direccin de ROM $FD:1480 (nombres de personajes).			********
;******* Si el byte siguiente identifica el nombre del personaje principal, quiere decir que hay que mostar	********
;******* ese nombre de la zona de memoria $7E:F300, que es donde se almacena el que elige el jugador.		********
;***********************************************************************************************************************
$C0/3188 C2 20       REP #$20                A:0854 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0942 VC:008 00 FL:981
;******* leemos el siguiente byte de texto
$C0/318A E6 78       INC $78    [$00:0078]   A:0854 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0960 VC:008 00 FL:981
$C0/318C A7 78       LDA [$78]  [$FA:08BB]   A:0854 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1034 VC:008 00 FL:981
$C0/318E E2 20       SEP #$20                A:E7FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1106 VC:008 00 FL:981
;******* comparamos con la variable que indica cul es el personaje manejado por el jugador, que es el nico al que se
;******* le puede cambiar el nombre y por tanto, no leeramos el nombre desde el diccionario
$C0/3190 CF 00 F0 7E CMP $7EF000[$7E:F000]   A:E7FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1124 VC:008 00 FL:981
$C0/3194 F0 35       BEQ $35    [$31CB]      A:E7FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:1156 VC:008 00 FL:981
$C0/3196 C2 20       REP #$20                A:E7FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:1168 VC:008 00 FL:981
;******* lo multiplicamos por 8 puesto que cada entrada de la tabla es de 8 letras y el offset lo ponemos en el ndice X
$C0/3198 29 FF 00    AND #$00FF              A:E7FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzCHC:1186 VC:008 00 FL:981
$C0/319B 0A          ASL A                   A:00FA X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzCHC:1204 VC:008 00 FL:981
$C0/319C 0A          ASL A                   A:01F4 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1216 VC:008 00 FL:981
$C0/319D 0A          ASL A                   A:03E8 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1228 VC:008 00 FL:981
$C0/319E AA          TAX                     A:07D0 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1240 VC:008 00 FL:981
;******* el ndice y se usar para poner la palabra en el buffer de salida
$C0/319F A0 00 00    LDY #$0000              A:07D0 X:07D0 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1252 VC:008 00 FL:981
$C0/31A2 E2 20       SEP #$20                A:07D0 X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envmxdIZcHC:1270 VC:008 00 FL:981
$C0/31A4 80 7C       BRA $7C    [$3222]      A:07D0 X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1288 VC:008 00 FL:981

;******* si lo que hay que sacar por ventana es el nombre del personaje principal, hacemos este cdigo
$C0/31CB A2 00 00    LDX #$0000              A:E600 X:0054 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0302 VC:010 00 FL:58892
$C0/31CE A0 00 00    LDY #$0000              A:E600 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0326 VC:010 00 FL:58892
$C0/31D1 C0 08 00    CPY #$0008              A:E600 X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0350 VC:010 00 FL:58892
$C0/31D4 B0 6F       BCS $6F    [$3245]      A:E600 X:0000 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0374 VC:010 00 FL:58892
;******* el nombre lo copiamos desde la direccin de memoria donde se almacena en $7E:F300
$C0/31D6 BD 00 F3    LDA $F300,x[$7E:F300]   A:E600 X:0000 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0392 VC:010 00 FL:58892
$C0/31D9 F0 6A       BEQ $6A    [$3245]      A:E65D X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0424 VC:010 00 FL:58892
$C0/31DB C9 50       CMP #$50                A:E65D X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0442 VC:010 00 FL:58892
$C0/31DD F0 66       BEQ $66    [$3245]      A:E65D X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0460 VC:010 00 FL:58892
$C0/31DF 99 6D D5    STA $D56D,y[$7E:D56D]   A:E65D X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0478 VC:010 00 FL:58892
$C0/31E2 E8          INX                     A:E65D X:0000 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0510 VC:010 00 FL:58892
$C0/31E3 C8          INY                     A:E65D X:0001 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0528 VC:010 00 FL:58892
$C0/31E4 C9 50       CMP #$50                A:E65D X:0001 Y:0001 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0546 VC:010 00 FL:58892
$C0/31E6 B0 E9       BCS $E9    [$31D1]      A:E65D X:0001 Y:0001 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0564 VC:010 00 FL:58892

;******* si ya hemos extrado 8 letras, paramos
$C0/3222 C0 08 00    CPY #$0008              A:07D0 X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1306 VC:008 00 FL:981
$C0/3225 B0 1E       BCS $1E    [$3245]      A:07D0 X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1324 VC:008 00 FL:981
;******* leemos de la tabla
$C0/3227 BF 80 14 FD LDA $FD1480,x[$FD:1C50] A:07D0 X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1336 VC:008 00 FL:981
$C0/322B F0 18       BEQ $18    [$3245]      A:078E X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1366 VC:008 00 FL:981
$C0/322D C9 50       CMP #$50                A:078E X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0010 VC:009 00 FL:981
$C0/322F F0 14       BEQ $14    [$3245]      A:078E X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0022 VC:009 00 FL:981
;******* copiamos la letra en la salida
$C0/3231 99 6D D5    STA $D56D,y[$7E:D56D]   A:078E X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0034 VC:009 00 FL:981
$C0/3234 E8          INX                     A:078E X:07D0 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0060 VC:009 00 FL:981
$C0/3235 C8          INY                     A:078E X:07D1 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0072 VC:009 00 FL:981
$C0/3236 C9 50       CMP #$50                A:078E X:07D1 Y:0001 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0084 VC:009 00 FL:981
$C0/3238 B0 E8       BCS $E8    [$3222]      A:078E X:07D1 Y:0001 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0096 VC:009 00 FL:981
;******* si la letra leda en el diccionario es un comando (menor de $50), copiamos el siguiente byte directamente
$C0/323A BF 80 14 FD LDA $FD1480,x[$FD:1480] A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7D P:envMxdIzcHC:0196 VC:010 00 FL:979
$C0/323E 99 6D D5    STA $D56D,y[$7E:D572]   A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7D P:envMxdIzcHC:0202 VC:010 00 FL:980
$C0/3241 E8          INX                     A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7D P:envMxdIzcHC:0208 VC:010 00 FL:981
$C0/3242 C8          INY                     A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7D P:envMxdIzcHC:0214 VC:010 00 FL:982
$C0/3243 80 DD       BRA $DD    [$3222]      A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7D P:envMxdIzcHC:0220 VC:010 00 FL:983

;******* si el valor ledo era $00, $50 o bien ya hemos copiado las 8 letras, paramos el bucle de copia
$C0/3245 C2 20       REP #$20                A:0750 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0920 VC:009 00 FL:981
;******* el ndice Y dice cuntas letras hemos copiado, as que se lo aadimos al inicio del buffer y lo guardamos en
;******* ($90)
$C0/3247 98          TYA                     A:0750 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIZCHC:0938 VC:009 00 FL:981
$C0/3248 18          CLC                     A:0005 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzCHC:0950 VC:009 00 FL:981
$C0/3249 69 6D D5    ADC #$D56D              A:0005 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0962 VC:009 00 FL:981
$C0/324C 85 90       STA $90    [$00:0090]   A:D572 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0980 VC:009 00 FL:981
$C0/324E E2 20       SEP #$20                A:D572 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1008 VC:009 00 FL:981
;******* esta variable contiene el ndice a la estructura de memoria que almacenar en qu punto estbamos leyendo texto
;******* de ROM, metiendo cada punto de retorno como 5 bytes (3 del puntero de lectura y 2 del puntero donde acaba el
;******* dilogo); es por eso que lo multiplicamos por 5 y lo ponemos como ndice X
$C0/3250 A5 77       LDA $77    [$00:0077]   A:D572 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1026 VC:009 00 FL:981
$C0/3252 0A          ASL A                   A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1046 VC:009 00 FL:981
$C0/3253 0A          ASL A                   A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1058 VC:009 00 FL:981
$C0/3254 18          CLC                     A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1070 VC:009 00 FL:981
$C0/3255 65 77       ADC $77    [$00:0077]   A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1082 VC:009 00 FL:981
$C0/3257 C2 20       REP #$20                A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1102 VC:009 00 FL:981
$C0/3259 29 FF 00    AND #$00FF              A:D500 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIZcHC:1120 VC:009 00 FL:981
$C0/325C AA          TAX                     A:0000 X:07D5 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIZcHC:1138 VC:009 00 FL:981
;******* tomamos el puntero al texto de ROM que estbamos usando, lo ponemos apuntando al siguiente byte de texto y
;******* lo almacenamos en la siguiente posicin libre del array $7E:D51D
$C0/325D A5 78       LDA $78    [$00:0078]   A:0000 X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIZcHC:1150 VC:009 00 FL:981
$C0/325F 1A          INC A                   A:08BB X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1178 VC:009 00 FL:981
$C0/3260 9D 1D D5    STA $D51D,x[$7E:D51D]   A:08BC X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1190 VC:009 00 FL:981
;******* metemos ahora el ndice donde acaba el dilogo
$C0/3263 A5 7B       LDA $7B    [$00:007B]   A:08BC X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1224 VC:009 00 FL:981
$C0/3265 9D 20 D5    STA $D520,x[$7E:D520]   A:08BD X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1252 VC:009 00 FL:981
;******* el nuevo puntero [$78] de lectura de texto ser el buffer $7E:D56D
$C0/3268 A9 6D D5    LDA #$D56D              A:08BD X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1286 VC:009 00 FL:981
$C0/326B 85 78       STA $78    [$00:0078]   A:D56D X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1304 VC:009 00 FL:981
;******* la posicin donde acaba el buffer se pone como puntero al final del dilogo
$C0/326D A5 90       LDA $90    [$00:0090]   A:D56D X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1332 VC:009 00 FL:981
$C0/326F 85 7B       STA $7B    [$00:007B]   A:D572 X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1360 VC:009 00 FL:981
$C0/3271 E2 20       SEP #$20                A:D572 X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0020 VC:010 00 FL:981
;******* el byte de banco donde leamos el texto se guarda como 3 byte en la estructura temporal
$C0/3273 A5 7A       LDA $7A    [$00:007A]   A:D572 X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0038 VC:010 00 FL:981
$C0/3275 9D 1F D5    STA $D51F,x[$7E:D51F]   A:D5FA X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0058 VC:010 00 FL:981
;******* incrementamos el ndice $77
$C0/3278 E6 77       INC $77    [$00:0077]   A:D5FA X:0000 Y:0005 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0084 VC:010 00 FL:981
;******* el banco del puntero [$78] ser el banco $7E de RAM
$C0/327A A9 7E       LDA #$7E                A:D5FA X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0118 VC:010 00 FL:981
$C0/327C 85 7A       STA $7A    [$00:007A]   A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0130 VC:010 00 FL:981
$C0/327E 60          RTS                     A:D57E X:0000 Y:0005 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0150 VC:010 00 FL:981
;***********************************************************************************************************************
;*******					     FIN DE COMANDO $4D						********
;***********************************************************************************************************************