;***********************************************************************************************************************
;******* 						COMANDO $4F27						********
;******* Este comando no lee ms bytes de la entrada y se usa para pasar todos los items que se puedan del	********
;******* almacn al inventario.											********
;***********************************************************************************************************************
$C0/2A94 A2 00 00    LDX #$0000              A:004E X:004E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0648 VC:004 00 FL:65399
;******* contador de 256 unidades para recorrer el almacn (que tiene 256 elementos)
$C0/2A97 64 8D       STZ $8D    [$00:008D]   A:004E X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0666 VC:004 00 FL:65399
;******* leemos la cantidad de elementos que tenemos de ese item
$C0/2A99 BF 6A F3 7E LDA $7EF36A,x[$7E:F36A] A:004E X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0686 VC:004 00 FL:65399
;******* si no tenemos ninguno almacenado, pasamos al siguiente item reiniciando el bucle
$C0/2A9D F0 48       BEQ $48    [$2AE7]      A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0718 VC:004 00 FL:65399
$C0/2A9F DA          PHX                     A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0730 VC:004 00 FL:65399
;******* el contador de items se usa tambin como el byte que representa al item
$C0/2AA0 A5 8D       LDA $8D    [$00:008D]   A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0758 VC:004 00 FL:65399
$C0/2AA2 A2 00 00    LDX #$0000              A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZcHC:0778 VC:004 00 FL:65399
;******* comenzamos un bucle para recorrer todo el inventario equipado y buscar dicho item
$C0/2AA5 DF 2A F3 7E CMP $7EF32A,x[$7E:F32A] A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZcHC:0796 VC:004 00 FL:65399
$C0/2AA9 F0 1B       BEQ $1B    [$2AC6]      A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0828 VC:004 00 FL:65399
$C0/2AAB E8          INX                     A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0840 VC:004 00 FL:65399
$C0/2AAC E8          INX                     A:0000 X:0001 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0852 VC:004 00 FL:65399
$C0/2AAD E0 40 00    CPX #$0040              A:0000 X:0002 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0864 VC:004 00 FL:65399
$C0/2AB0 D0 F3       BNE $F3    [$2AA5]      A:0000 X:0002 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:0882 VC:004 00 FL:65399
;******* si llegamos aqu es porque se ha recorrido todo el inventario sin encontrar ese item, as que buscamos un hueco
;******* en el inventario (marcado con $FF) para meterlo 
$C0/2AB2 A9 FF       LDA #$FF                A:0000 X:0040 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0014 VC:007 00 FL:65399
$C0/2AB4 A2 00 00    LDX #$0000              A:00FF X:0040 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzCHC:0026 VC:007 00 FL:65399
$C0/2AB7 DF 2A F3 7E CMP $7EF32A,x[$7E:F32A] A:00FF X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0044 VC:007 00 FL:65399
$C0/2ABB F0 14       BEQ $14    [$2AD1]      A:00FF X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0076 VC:007 00 FL:65399
$C0/2ABD E8          INX                     A:00FF X:0000 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzCHC:1134 VC:009 00 FL:65399
$C0/2ABE E8          INX                     A:00FF X:0001 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:1146 VC:009 00 FL:65399
$C0/2ABF E0 40 00    CPX #$0040              A:00FF X:0002 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:1158 VC:009 00 FL:65399
$C0/2AC2 D0 F3       BNE $F3    [$2AB7]      A:00FF X:0002 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:1176 VC:009 00 FL:65399
;******* si no hemos encontrado un hueco en el inventario es que ya est lleno y por tanto salimos de la rutina
$C0/2AC4 80 29	     BRA $29	[$2AEF]      A:00FF X:0002 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:1176 VC:009 00 FL:65399
;******* SI HEMOS ENCONTRADO EL ITEM EN EL INVENTARIO
;******* incrementamos en una unidad la cantidad que tenemos en el inventario
$C0/2AC6 BF 2B F3 7E LDA $7EF32B,x[$7E:F32B] A:0001 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0158 VC:007 00 FL:65399
$C0/2ACA 1A          INC A                   A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0256 VC:007 00 FL:65399
$C0/2ACB 9F 2B F3 7E STA $7EF32B,x[$7E:F32B] A:0001 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0158 VC:007 00 FL:65399
$C0/2ACF 80 0C	     BRA $0C	[$2ADD]      A:00FF X:0002 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:1176 VC:009 00 FL:65399
;******* SI NO HEMOS ENCONTRADO EL ITEM EN EL INVENTARIO PERO TENEMOS UN HUECO LIBRE DONDE INSERTARLO
;******* metemos el byte que reprensenta al item en ese hueco
$C0/2AD1 A5 8D       LDA $8D    [$00:008D]   A:00FF X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0094 VC:007 00 FL:65399
$C0/2AD3 9F 2A F3 7E STA $7EF32A,x[$7E:F32A] A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0114 VC:007 00 FL:65399
;******* indicamos que tenemos 1 unidad de dicho item en el inventario
$C0/2AD7 A9 01       LDA #$01                A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0146 VC:007 00 FL:65399
$C0/2AD9 9F 2B F3 7E STA $7EF32B,x[$7E:F32B] A:0001 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0158 VC:007 00 FL:65399
;******* recuperamos la posicin donde leamos del almacn para decrementar una unidad ese item, puesto que ya ha sido
;******* trasvasado al inventario
$C0/2ADD FA          PLX                     A:0001 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0190 VC:007 00 FL:65399
$C0/2ADE BF 6A F3 7E LDA $7EF36A,x[$7E:F36A] A:0001 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0224 VC:007 00 FL:65399
$C0/2AE2 3A          DEC A                   A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0256 VC:007 00 FL:65399
$C0/2AE3 9F 6A F3 7E STA $7EF36A,x[$7E:F36A] A:0007 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0268 VC:007 00 FL:65399
$C0/2AE7 E8          INX                     A:0007 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0300 VC:007 00 FL:65399
;******* incrementamos el contador de 256 para cada uno de los elementos del almacn
$C0/2AE8 E6 8D       INC $8D    [$00:008D]   A:0007 X:0001 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0312 VC:007 00 FL:65399
$C0/2AEA D0 AD       BNE $AD    [$2A99]      A:0007 X:0001 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0346 VC:007 00 FL:65399
$C0/2AEC 4C 7A 1C    JMP $1C7A  [$7E:1C7A]   A:0000 X:0100 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0992 VC:085 00 FL:65399
;******* si no hemos encontrado un hueco en el inventario es que ya est lleno y por tanto salimos de la rutina
$C0/2AEF FA	     PLX                     A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0730 VC:004 00 FL:65399
$C0/2AF0 4C 7A 1C    JMP $1C7A  [$7E:1C7A]   A:0000 X:0100 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0992 VC:085 00 FL:65399