;***********************************************************************************************************************
;******* 						COMANDO $4F29						********
;******* Este comando lee 2 bytes ms de la entrada para saltar a esa nueva posicin para leer texto dentro del	********
;******* banco $7E de RAM. La nueva posicin a donde se salta tiene que estar terminada con un retorno para	********
;******* volver al punto original. El comando equivale a un JSR.						********
;***********************************************************************************************************************
$C0/32B2 C2 20       REP #$20                A:0052 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:1218 VC:257 00 FL:65399
;******* leemos los dos bytes siguientes, que son la direccin del salto a la nueva posicin de lectura de texto
$C0/32B4 E6 78       INC $78    [$00:0078]   A:0052 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1236 VC:257 00 FL:65399
$C0/32B6 A7 78       LDA [$78]  [$FA:294E]   A:0052 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1310 VC:257 00 FL:65399
$C0/32B8 85 8D       STA $8D    [$00:008D]   A:23A3 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1358 VC:257 00 FL:65399
$C0/32BA E2 20       SEP #$20                A:23A3 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0018 VC:258 00 FL:65399
;******* leemos el ndice al array $7E:D51D, donde cada elemento es de 5 bytes, por eso lo multiplicamos por 5
$C0/32BC A5 77       LDA $77    [$00:0077]   A:23A3 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0036 VC:258 00 FL:65399
$C0/32BE 0A          ASL A                   A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0056 VC:258 00 FL:65399
$C0/32BF 0A          ASL A                   A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0068 VC:258 00 FL:65399
$C0/32C0 18          CLC                     A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0080 VC:258 00 FL:65399
$C0/32C1 65 77       ADC $77    [$00:0077]   A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0092 VC:258 00 FL:65399
$C0/32C3 C2 20       REP #$20                A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0112 VC:258 00 FL:65399
$C0/32C5 29 FF 00    AND #$00FF              A:2300 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0130 VC:258 00 FL:65399
$C0/32C8 AA          TAX                     A:0000 X:0052 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0148 VC:258 00 FL:65399
;******* incrementamos el puntero de lectura en 2 para saltarnos los dos bytes del salto a continuacin
$C0/32C9 A5 78       LDA $78    [$00:0078]   A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0160 VC:258 00 FL:65399
$C0/32CB 1A          INC A                   A:294E X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0188 VC:258 00 FL:65399
$C0/32CC 1A          INC A                   A:294F X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0200 VC:258 00 FL:65399
;******* lo guardamos en el array para posteriormente recuperar la posicin original de lectura de texto
$C0/32CD 9D 1D D5    STA $D51D,x[$7E:D51D]   A:2950 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0212 VC:258 00 FL:65399
;******* guardamos en el array tambin la posicin donde termina el dilogo
$C0/32D0 A5 7B       LDA $7B    [$00:007B]   A:2950 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0246 VC:258 00 FL:65399
$C0/32D2 9D 20 D5    STA $D520,x[$7E:D520]   A:297D X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0274 VC:258 00 FL:65399
;******* ponemos como nuevo puntero de lectura los dos bytes ledos como parmetro
$C0/32D5 A5 8D       LDA $8D    [$00:008D]   A:297D X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0308 VC:258 00 FL:65399
$C0/32D7 85 78       STA $78    [$00:0078]   A:23A3 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0336 VC:258 00 FL:65399
;******* no hay direccin de final de texto porque en la nueva posicin de lectura se espera encontrar un comando de retorno
$C0/32D9 A9 FF FF    LDA #$FFFF              A:23A3 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0364 VC:258 00 FL:65399
$C0/32DC 85 7B       STA $7B    [$00:007B]   A:FFFF X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0382 VC:258 00 FL:65399
$C0/32DE E2 20       SEP #$20                A:FFFF X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0410 VC:258 00 FL:65399
;******* guardamos el banco del puntero actual
$C0/32E0 A5 7A       LDA $7A    [$00:007A]   A:FFFF X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0428 VC:258 00 FL:65399
$C0/32E2 9D 1F D5    STA $D51F,x[$7E:D51F]   A:FFFA X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0448 VC:258 00 FL:65399
;******* incrementamos el ndice al array de salto de punteros
$C0/32E5 E6 77       INC $77    [$00:0077]   A:FFFA X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0474 VC:258 00 FL:65399
;******* la nueva posicin de lectura es RAM
$C0/32E7 A9 7E       LDA #$7E                A:FFFA X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0508 VC:258 00 FL:65399
$C0/32E9 85 7A       STA $7A    [$00:007A]   A:FF7E X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0520 VC:258 00 FL:65399
$C0/32EB 60          RTS                     A:FF7E X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0540 VC:258 00 FL:65399

