 
/** 
 * SnakeOil (c) 2015 - 2019
 * https://bitbucket.org/MysticLord/
 */
public class AbsoluteAddressDataTable extends FixedSizeDataTable
{
    private long tableAddress;

    public AbsoluteAddressDataTable(String tName, String fName, int tLength, 
    int eSize, int nEntries, long tAddress)
    {
        super(tName, fName, tLength, eSize, nEntries);
        tableAddress = tAddress;
    }

    public long getTableAddress() {return tableAddress;}
    
    public String toString()
    {
        String returnString = super.toString();
        returnString += " " + getTableAddress();
        return returnString;
    }
}