;***********************************************************************************************************************
;*******						COMANDO $3C						********
;******* Este comando lee los 2  3 bytes siguiente de la entrada y los guarda en $7E:D59A/9B/9C. Se usa para 	********
;******* determinar a quin apunta el globo de dilogo, de qu tamao es y dnde se dibuja en pantalla.		********
;******* Si el primer parmetro es $FF, entonces slo se leen 2 bytes, puesto que las coordenadas donde se	********
;******* dibujar el dilogo sern las que tenga por defecto la estructura $FD:EB00. El MSB del ltimo byte	********
;******* ledo indica si la variable $7E:D5A5, que dice a qu estructura accedemos para el dilogo, apuntar	********
;******* a la primera o segunda posicin de las 4 que hay.							********
;***********************************************************************************************************************
;******* leemos el tercer byte despus del comando y comprobamos si el flag en el MSB est activo o no
$C0/332F A0 03 00    LDY #$0003              A:0838 X:0038 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0532 VC:008 00 FL:64796
$C0/3332 B7 78       LDA [$78],y[$FC:1990]   A:0838 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0574 VC:008 00 FL:64796
$C0/3334 30 04       BMI $04    [$333A]      A:0823 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0640 VC:008 00 FL:64796
;******* si el flag est a '0', ejecutamos la rutina $C0/0EFA con $00 de parmetro
$C0/3336 A9 00       LDA #$00                A:0823 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0652 VC:008 00 FL:64796
$C0/3338 80 02       BRA $02    [$333C]      A:0800 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0664 VC:008 00 FL:64796
;******* si el flag est a '1', ejecutamos la rutina $C0/0EFA con $01 de parmetro
$C0/333A A9 01       LDA #$01                A:0000 X:0040 Y:B448 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0722 VC:241 00 FL:65406
;******* esta rutina asigna el offset $7E:D5A7 a la estructura concreta que se ha de usar para el dilogo
$C0/333C 20 FA 0E    JSR $0EFA  [$C0:0EFA]   A:0800 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0682 VC:008 00 FL:64796
;******* comprobamos si el dilogo es del personaje principal
$C0/333F AC A5 D5    LDY $D5A5  [$7E:D5A5]   A:0000 X:0038 Y:0003 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0948 VC:008 00 FL:64797
$C0/3342 B9 A7 D5    LDA $D5A7,y[$7E:D5A7]   A:0000 X:0038 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0982 VC:008 00 FL:64797
$C0/3345 F0 03       BEQ $03    [$334A]      A:0000 X:0038 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1008 VC:008 00 FL:64797
$C0/3347 20 89 21    JSR $2189  [$C0:2189]   A:0000 X:0040 Y:B448 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0752 VC:241 00 FL:65406
$C0/334A 20 F4 06    JSR $06F4  [$C0:06F4]   A:0000 X:0038 Y:0000 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1026 VC:008 00 FL:64797
$C0/334D C2 20       REP #$20                A:0000 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIZcHC:0856 VC:233 00 FL:64797
$C0/334F E6 78       INC $78    [$00:0078]   A:0000 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIZcHC:0874 VC:233 00 FL:64797
$C0/3351 E2 20       SEP #$20                A:0000 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIzcHC:0924 VC:233 00 FL:64797
;******* si el primer byte es -1, quiere decir que las coordenadas donde se mostrar la caja de dilogo se obtendrn de
;******* la tabla $FD:EB00
$C0/3353 A7 78       LDA [$78]  [$FC:198E]   A:0000 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:0966 VC:233 00 FL:64797
$C0/3355 8D 9A D5    STA $D59A  [$7E:D59A]   A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1032 VC:233 00 FL:64797
$C0/3358 C9 FF       CMP #$FF                A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1058 VC:233 00 FL:64797
$C0/335A F0 0B       BEQ $0B    [$3367]      A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1070 VC:233 00 FL:64797
;******* si el byte no es -1, entonces las coordenadas de la caja de dilogo se obtienen de este byte y el siguiente
$C0/335C C2 20       REP #$20                A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1082 VC:233 00 FL:64797
$C0/335E E6 78       INC $78    [$00:0078]   A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIzcHC:1100 VC:233 00 FL:64797
$C0/3360 E2 20       SEP #$20                A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIzcHC:1150 VC:233 00 FL:64797
$C0/3362 A7 78       LDA [$78]  [$FC:198F]   A:000A X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1192 VC:233 00 FL:64797
$C0/3364 8D 9B D5    STA $D59B  [$7E:D59B]   A:0013 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1258 VC:233 00 FL:64797
$C0/3367 C2 20       REP #$20                A:0013 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:1284 VC:233 00 FL:64797
$C0/3369 E6 78       INC $78    [$00:0078]   A:0013 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIzcHC:1302 VC:233 00 FL:64797
$C0/336B E2 20       SEP #$20                A:0013 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envmxdIzcHC:1352 VC:233 00 FL:64797
;******* el tercer parmetro contiene la configuracin que tendr la caja de texto
$C0/336D A7 78       LDA [$78]  [$FC:1990]   A:0013 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:0026 VC:234 00 FL:64797
$C0/336F 8D 9C D5    STA $D59C  [$7E:D59C]   A:0023 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:0092 VC:234 00 FL:64797
;******* creamos la burbuja de dilogo apuntando al personaje
$C0/3372 20 8F 0C    JSR $0C8F  [$C0:0C8F]   A:0023 X:0028 Y:9D2F D:0000 DB:7E S:1F7B P:envMxdIzcHC:0118 VC:234 00 FL:64797
$C0/3375 20 D6 06    JSR $06D6  [$C0:06D6]   A:2B6A X:0000 Y:002A D:0000 DB:7E S:1F7B P:envMxdIZcHC:0604 VC:016 00 FL:64798
;******* salimos normalmente del dilogo
$C0/3378 4C 7A 1C    JMP $1C7A  [$7E:1C7A]   A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0196 VC:238 00 FL:64799
;***********************************************************************************************************************
;*******					     FIN DE COMANDO $3C						********
;***********************************************************************************************************************








;***********************************************************************************************************************
;*******					     RUTINA $C0/0EFA						********
;******* Esta rutina recibe en el acumulador el ndice a una de las 4 estructuras de datos referentes a los	********
;******* dilogo; ese ndice se mete en $7E:D598 y el offset para acceder a las estructuras en $7E:D5A5.	********
;******* Estas estructuras tienen 64 bytes de tamao y empiezan en $7E:D5A7.					********
;***********************************************************************************************************************
$C0/0EFA 8D 98 D5    STA $D598  [$7E:D598]   A:0801 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envMxdIzcHC:1012 VC:250 00 FL:65527
$C0/0EFD C2 20       REP #$20                A:0801 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envMxdIzcHC:1038 VC:250 00 FL:65527
$C0/0EFF 29 FF 00    AND #$00FF              A:0801 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1056 VC:250 00 FL:65527
$C0/0F02 0A          ASL A                   A:0001 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1074 VC:250 00 FL:65527
$C0/0F03 0A          ASL A                   A:0002 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1086 VC:250 00 FL:65527
$C0/0F04 0A          ASL A                   A:0004 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1098 VC:250 00 FL:65527
$C0/0F05 0A          ASL A                   A:0008 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1110 VC:250 00 FL:65527
$C0/0F06 0A          ASL A                   A:0010 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1122 VC:250 00 FL:65527
$C0/0F07 0A          ASL A                   A:0020 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1134 VC:250 00 FL:65527
$C0/0F08 8D A5 D5    STA $D5A5  [$7E:D5A5]   A:0040 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1146 VC:250 00 FL:65527
$C0/0F0B E2 20       SEP #$20                A:0040 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envmxdIzcHC:1180 VC:250 00 FL:65527
$C0/0F0D 60          RTS                     A:0040 X:0038 Y:0003 D:0000 DB:7E S:1F79 P:envMxdIzcHC:1198 VC:250 00 FL:65527
;***********************************************************************************************************************
;*******					  FIN DE RUTINA $C0/0EFA					********
;***********************************************************************************************************************