;***********************************************************************************************************************
;*******						COMANDO $42						********
;******* Este comando lee tres byte de la entrada, el primero para indicar el ndice al array $7E:EF00 y los	********
;******* otros dos bytes son el ndice al salto si encontramos el item almacenado en el array $7E:EF00 en el	********
;******* array $7E:F32A del inventario, o si lo hemos podido introducir	en l.					********
;***********************************************************************************************************************
$C0/2E1F C2 20       REP #$20                A:0844 X:0044 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0060 VC:016 00 FL:64695
$C0/2E21 E6 78       INC $78    [$00:0078]   A:0844 X:0044 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0084 VC:016 00 FL:64695
$C0/2E23 A7 78       LDA [$78]  [$FB:513A]   A:0844 X:0044 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0164 VC:016 00 FL:64695
$C0/2E25 29 FF 00    AND #$00FF              A:0400 X:0044 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0242 VC:016 00 FL:64695
$C0/2E28 AA          TAX                     A:0000 X:0044 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0266 VC:016 00 FL:64695
$C0/2E29 E2 20       SEP #$20                A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0284 VC:016 00 FL:64695
;******* cargamos el nmero del objeto a buscar en $8D
$C0/2E2B BD 00 EF    LDA $EF00,x[$7E:EF00]   A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0308 VC:016 00 FL:64695
$C0/2E2E 85 8D       STA $8D    [$00:008D]   A:004F X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0340 VC:016 00 FL:64695
;******* empezamos recorriendo el inventario desde la primera posicin
$C0/2E30 A2 00 00    LDX #$0000              A:004F X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0366 VC:016 00 FL:64695
;******* comprobamos la cantidad que tenemos del item; si es 0 saltamos para meter el objeto en el inventario, porque esa posicin 
;******* estaba vaca
$C0/2E33 BF 2B F3 7E LDA $7EF32B,x[$7E:F32B] A:004F X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0390 VC:016 00 FL:64695
$C0/2E37 F0 1F       BEQ $1F    [$2E58]      A:0002 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0428 VC:016 00 FL:64695
;******* si del item tenemos ms de 1 unidad, comparamos a ver si es el que buscamos
$C0/2E39 BF 2A F3 7E LDA $7EF32A,x[$7E:F32A] A:0002 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0446 VC:016 00 FL:64695
$C0/2E3D C5 8D       CMP $8D    [$00:008D]   A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0484 VC:016 00 FL:64695
$C0/2E3F F0 0F       BEQ $0F    [$2E50]      A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:0510 VC:016 00 FL:64695
;******* si el item que queremos meter no est en esta posicin y estaba ocupada, reiniciamos el bucle hasta encontrar
;******* un hueco o el item en cuestin
$C0/2E41 E8          INX                     A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:0528 VC:016 00 FL:64695
$C0/2E42 E8          INX                     A:00EB X:0001 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0546 VC:016 00 FL:64695
$C0/2E43 E0 40 00    CPX #$0040              A:00EB X:0002 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0564 VC:016 00 FL:64695
$C0/2E46 D0 EB       BNE $EB    [$2E33]      A:00EB X:0002 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0588 VC:016 00 FL:64695
;******* si ya hemos terminado de recorrer todo el inventario, es que no hemos encontrado el item ni un hueco, por lo que
;******* nos saltamos los dos bytes siguientes para continuar en otro comando
$C0/2E48 C2 20       REP #$20                A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1148 VC:017 00 FL:64695
$C0/2E4A E6 78       INC $78    [$00:0078]   A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1154 VC:017 00 FL:64695
$C0/2E4C E6 78       INC $78    [$00:0078]   A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1160 VC:017 00 FL:64695
$C0/2E4E 80 3C       BRA $3C    [$2E8C]      A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1166 VC:017 00 FL:64695

;******* si hemos encontrado el item, comprobamos si ya tenemos 99 unidades de l
$C0/2E50 BF 2B F3 7E LDA $7EF32B,x[$7E:F33B] A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1400 VC:017 00 FL:64695
$C0/2E54 C9 63       CMP #$63                A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1406 VC:017 00 FL:64695
$C0/2E56 B0 0F       BCS $0F    [$2E67]      A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1412 VC:017 00 FL:64695
;******* incrementamos la cantidad que tenemos del item
$C0/2E58 1A          INC A                   A:0000 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0644 VC:017 00 FL:64695
$C0/2E59 9F 2B F3 7E STA $7EF32B,x[$7E:F33B] A:0001 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0656 VC:017 00 FL:64695
;******* guardamos el nmero del objeto en esa posicin y salimos de la rutina
$C0/2E5D A5 8D       LDA $8D    [$00:008D]   A:0001 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0688 VC:017 00 FL:64695
$C0/2E5F 9F 2A F3 7E STA $7EF32A,x[$7E:F33A] A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0708 VC:017 00 FL:64695
$C0/2E63 C2 20       REP #$20                A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0740 VC:017 00 FL:64695
$C0/2E65 80 25       BRA $25    [$2E8C]      A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0758 VC:017 00 FL:64695

$C0/2E8C E6 78       INC $78    [$00:0078]   A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0776 VC:017 00 FL:64695
$C0/2E8E E2 20       SEP #$20                A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0826 VC:017 00 FL:64695
$C0/2E90 A7 78       LDA [$78]  [$FB:513B]   A:004F X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0868 VC:017 00 FL:64695
$C0/2E92 C9 0C       CMP #$0C                A:0004 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0910 VC:017 00 FL:64695
$C0/2E94 90 01       BCC $01    [$2E97]      A:0004 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0922 VC:017 00 FL:64695
$C0/2E96 60          RTS                     A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1382 VC:017 00 FL:64695
;******* si el byte siguiente era menor de $0C, quiere decir que era un puntero a la nueva posicin donde leer
$C0/2E97 C2 20       REP #$20                A:0004 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0940 VC:017 00 FL:64695
$C0/2E99 A7 78       LDA [$78]  [$FB:513B]   A:0004 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0982 VC:017 00 FL:64695
$C0/2E9B EB          XBA                     A:E804 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1030 VC:017 00 FL:64695
$C0/2E9C 85 8D       STA $8D    [$00:008D]   A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1048 VC:017 00 FL:64695
$C0/2E9E E2 20       SEP #$20                A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:1076 VC:017 00 FL:64695
$C0/2EA0 4C 4C 1B    JMP $1B4C  [$7E:1B4C]   A:04E8 X:0010 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:1094 VC:017 00 FL:64695

;***********************************************************************************************************************
;*******					     FIN DE COMANDO $42						********
;***********************************************************************************************************************