;***********************************************************************************************************************
;*******						COMANDO $45						********
;******* Este comando lee 4 bytes de la entrada para testear una variable:					********
;*******	* 1 byte 	-> ndice al array $7E:EF00 de donde leemos la direccin de la variable de RAM	********
;*******	* 2 byte 	-> valor con el que comparamos la variable					********
;*******	* 3 y 4 bytes	-> ndice a la nueva caja de texto si el valor comparado coincide		********
;***********************************************************************************************************************
$C0/2F22 C2 20       REP #$20                A:084A X:004A Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0116 VC:259 00 FL:65509
;******* con el siguiente byte de la entrada indexamos el array $7E:EF00
$C0/2F24 E6 78       INC $78    [$00:0078]   A:084A X:004A Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0134 VC:259 00 FL:65509
$C0/2F26 A7 78       LDA [$78]  [$FA:2DD2]   A:084A X:004A Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0208 VC:259 00 FL:65509
$C0/2F28 E6 78       INC $78    [$00:0078]   A:0600 X:004A Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0256 VC:259 00 FL:65509
$C0/2F2A 29 FF 00    AND #$00FF              A:0600 X:004A Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0306 VC:259 00 FL:65509
$C0/2F2D AA          TAX                     A:0000 X:004A Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0324 VC:259 00 FL:65509
;******* el valor ledo de esa posicin del array es el offset a una variable de $7E:EF00
$C0/2F2E BD 00 EF    LDA $EF00,x[$7E:EF00]   A:0000 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0336 VC:259 00 FL:65509
$C0/2F31 AA          TAX                     A:F319 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0370 VC:259 00 FL:65509
$C0/2F32 E2 20       SEP #$20                A:F319 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0382 VC:259 00 FL:65509
;******* accedemos a la variable de RAM y la comparamos con el siguiente byte de la entrada de texto
$C0/2F34 BF 00 00 7E LDA $7E0000,x[$7E:F319] A:F319 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0400 VC:259 00 FL:65509
$C0/2F38 C7 78       CMP [$78]  [$FA:2DD3]   A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0456 VC:259 00 FL:65509
$C0/2F3A D0 02       BNE $02    [$2F3E]      A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0498 VC:259 00 FL:65509
$C0/2F3C 80 08       BRA $08    [$2F46]      A:D57E X:0000 Y:0006 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0832 VC:260 00 FL:65497
;******* si el valor no coincide, nos saltamos los dos bytes a continuacin
$C0/2F3E C2 20       REP #$20                A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0516 VC:259 00 FL:65509
$C0/2F40 E6 78       INC $78    [$00:0078]   A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:eNvmxdIzcHC:0534 VC:259 00 FL:65509
$C0/2F42 E6 78       INC $78    [$00:0078]   A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0584 VC:259 00 FL:65509
$C0/2F44 E2 20       SEP #$20                A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0634 VC:259 00 FL:65509
;******* si el valor coincide, llegamos aqu y leemos los dos bytes siguientes que son el ndice a una nueva caja de texto
$C0/2F46 C2 20       REP #$20                A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0652 VC:259 00 FL:65509
$C0/2F48 E6 78       INC $78    [$00:0078]   A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0670 VC:259 00 FL:65509
$C0/2F4A E2 20       SEP #$20                A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0720 VC:259 00 FL:65509
$C0/2F4C A7 78       LDA [$78]  [$FA:2DD6]   A:F305 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0762 VC:259 00 FL:65509
$C0/2F4E C9 0C       CMP #$0C                A:F334 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0804 VC:259 00 FL:65509
$C0/2F50 B0 0C       BCS $0C    [$2F5E]      A:F334 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0816 VC:259 00 FL:65509
$C0/2F5E 60          RTS                     A:F334 X:F319 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0834 VC:259 00 FL:65509

;***********************************************************************************************************************
;*******					     FIN DE COMANDO $45						********
;***********************************************************************************************************************