;***********************************************************************************************************************
;*******						COMANDO $4F0F						********
;******* Este comando lee los 3 bytes siguientes de la entrada para buscar un valor en el array $7E:F32A (que	********
;******* es el inventario del grupo) y si no est, en $7E:F047 (que son las armas equipadas).			********
;******* El primer byte es el valor a buscar y los otros dos son el ndice a la nueva caja de texto que se	********
;******* mostrar si se encuentra el valor en alguno de ambos arrays.						********
;***********************************************************************************************************************
$C0/2B85 FA          PLX                     A:D57E X:0000 Y:0006 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0802 VC:260 00 FL:65501
$C0/2B86 4C 6C 2B    JMP $2B6C  [$7E:2B6C]   A:D57E X:0000 Y:0006 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0808 VC:260 00 FL:65500
;******* punto de entrada
$C0/2B89 C2 20       REP #$20                A:001E X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0400 VC:014 00 FL:65511
$C0/2B8B E6 78       INC $78    [$00:0078]   A:001E X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0418 VC:014 00 FL:65511
$C0/2B8D E2 20       SEP #$20                A:001E X:001E Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0468 VC:014 00 FL:65511
$C0/2B8F A7 78       LDA [$78]  [$FA:2DCA]   A:001E X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0510 VC:014 00 FL:65511
$C0/2B91 85 8D       STA $8D    [$00:008D]   A:001B X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0552 VC:014 00 FL:65511
;******* buscamos desde el principio de este array el valor ledo de la entrada
$C0/2B93 A2 00 00    LDX #$0000              A:001B X:001E Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0572 VC:014 00 FL:65511
$C0/2B96 BF 2A F3 7E LDA $7EF32A,x[$7E:F32A] A:001B X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:0590 VC:014 00 FL:65511
$C0/2B9A C5 8D       CMP $8D    [$00:008D]   A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0622 VC:014 00 FL:65511
$C0/2B9C F0 E8       BEQ $E8    [$2B86]      A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:0642 VC:014 00 FL:65511
$C0/2B9E E8          INX                     A:00EB X:0000 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzCHC:0654 VC:014 00 FL:65511
$C0/2B9F E8          INX                     A:00EB X:0001 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0666 VC:014 00 FL:65511
$C0/2BA0 E0 40 00    CPX #$0040              A:00EB X:0002 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0678 VC:014 00 FL:65511
$C0/2BA3 D0 F1       BNE $F1    [$2B96]      A:00EB X:0002 Y:0800 D:0000 DB:7E S:1F7B P:eNvMxdIzcHC:0696 VC:014 00 FL:65511

;******* si llegamos aqu es que no hemos encontrado el elemento buscado, as que leemos esta variable que indica
;******* el nmero de veces que buscaremos en el array $7E:F047
$C0/2BA5 AF 19 F3 7E LDA $7EF319[$7E:F319]   A:00FF X:0040 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0448 VC:017 00 FL:65511
$C0/2BA9 85 8E       STA $8E    [$00:008E]   A:0005 X:0040 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0480 VC:017 00 FL:65511
$C0/2BAB A2 00 00    LDX #$0000              A:0005 X:0040 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0500 VC:017 00 FL:65511
;******* punto de entrada del bucle de bsqueda
$C0/2BAE DA          PHX                     A:0005 X:0000 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZCHC:0518 VC:017 00 FL:65511
$C0/2BAF A9 08       LDA #$08                A:0005 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0546 VC:017 00 FL:65511
$C0/2BB1 85 8F       STA $8F    [$00:008F]   A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0558 VC:017 00 FL:65511
;******* buscamos en las 8 posiciones de este array el valor ledo de la entrada
$C0/2BB3 BF 47 F0 7E LDA $7EF047,x[$7E:F047] A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0578 VC:017 00 FL:65511
$C0/2BB7 C5 8D       CMP $8D    [$00:008D]   A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzCHC:0610 VC:017 00 FL:65511
$C0/2BB9 F0 CA       BEQ $CA    [$2B85]      A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:0630 VC:017 00 FL:65511
$C0/2BBB E8          INX                     A:0008 X:0000 Y:0800 D:0000 DB:7E S:1F79 P:eNvMxdIzcHC:0642 VC:017 00 FL:65511
$C0/2BBC C6 8F       DEC $8F    [$00:008F]   A:0008 X:0001 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0654 VC:017 00 FL:65511
$C0/2BBE D0 F3       BNE $F3    [$2BB3]      A:0008 X:0001 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIzcHC:0688 VC:017 00 FL:65511
;******* si llegamos aqu, no hemos encontrado el elemento as que recuperamos el ndice X y le sumamos $80 para buscar 
;******* desde otra posicin del array
$C0/2BC0 C2 20       REP #$20                A:00FF X:0008 Y:0800 D:0000 DB:7E S:1F79 P:envMxdIZCHC:0228 VC:018 00 FL:65511
$C0/2BC2 68          PLA                     A:00FF X:0008 Y:0800 D:0000 DB:7E S:1F79 P:envmxdIZCHC:0246 VC:018 00 FL:65511
$C0/2BC3 18          CLC                     A:0000 X:0008 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZCHC:0280 VC:018 00 FL:65511
$C0/2BC4 69 80 00    ADC #$0080              A:0000 X:0008 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:0292 VC:018 00 FL:65511
$C0/2BC7 AA          TAX                     A:0080 X:0008 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0310 VC:018 00 FL:65511
$C0/2BC8 E2 20       SEP #$20                A:0080 X:0080 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0322 VC:018 00 FL:65511
;******* el bucle lo repetimos el nmero de veces indicado en la variable $7E:F319
$C0/2BCA C6 8E       DEC $8E    [$00:008E]   A:0080 X:0080 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0340 VC:018 00 FL:65511
$C0/2BCC D0 E0       BNE $E0    [$2BAE]      A:0080 X:0080 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0374 VC:018 00 FL:65511
;******* si no hemos encontrado el elemento, saltamos aqu
$C0/2BCE C2 20       REP #$20                A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIZcHC:1250 VC:021 00 FL:65511
;******* los dos bytes siguientes son de un ndice a una nueva caja de texto, as que nos lo saltamos
$C0/2BD0 E6 78       INC $78    [$00:0078]   A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIZcHC:1268 VC:021 00 FL:65511
$C0/2BD2 E6 78       INC $78    [$00:0078]   A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:1318 VC:021 00 FL:65511
$C0/2BD4 E2 20       SEP #$20                A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0000 VC:022 00 FL:65511
$C0/2BD6 4C 6C 2B    JMP $2B6C  [$7E:2B6C]   A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0018 VC:022 00 FL:65511

;******* saltamos aqu para leer el nuevo ndice a la nueva caja de texto
$C0/2B6C C2 20       REP #$20                A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0036 VC:022 00 FL:65511
$C0/2B6E E6 78       INC $78    [$00:0078]   A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0054 VC:022 00 FL:65511
$C0/2B70 E2 20       SEP #$20                A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envmxdIzcHC:0104 VC:022 00 FL:65511
$C0/2B72 A7 78       LDA [$78]  [$FA:2DCD]   A:0280 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0146 VC:022 00 FL:65511
$C0/2B74 C9 0C       CMP #$0C                A:0241 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzcHC:0188 VC:022 00 FL:65511
$C0/2B76 90 01       BCC $01    [$2B79]      A:0241 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0200 VC:022 00 FL:65511
$C0/2B78 60          RTS                     A:0241 X:0280 Y:0800 D:0000 DB:7E S:1F7B P:envMxdIzCHC:0212 VC:022 00 FL:65511


